%define name orc
%define version 0.4.16
%define release %mkrel 3

%define api 0.4
%define major 0
%define libname %mklibname %name %api %major
%define develname %mklibname -d %name

Summary: The Oil Runtime Compiler
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://code.entropywave.com/download/%{name}/%{name}-%{version}.tar.gz
Patch0: orc_edsp_armv6_mix.patch
License: BSD
Group: Development/Other
Url: http://code.entropywave.com/projects/%{name}/

%description
Orc is a library and set of tools for compiling and executing very
simple programs that operate on arrays of data.  The “language” is a
generic assembly language that represents many of the features
available in SIMD architectures, including saturated addition and
subtraction, and many arithmetic operations.

%package -n %libname
Summary: The Oil Runtime Compiler
Group: System/Libraries

%description -n %libname
Orc is a library and set of tools for compiling and executing very
simple programs that operate on arrays of data.  The “language” is a
generic assembly language that represents many of the features
available in SIMD architectures, including saturated addition and
subtraction, and many arithmetic operations.

%package -n %develname
Summary: The Oil Runtime Compiler
Group: Development/C
Requires: %libname = %version-%release
Requires: %name >= %version-%release
Provides: lib%name-devel = %version-%release

%description -n %develname
Orc is a library and set of tools for compiling and executing very
simple programs that operate on arrays of data.  The “language” is a
generic assembly language that represents many of the features
available in SIMD architectures, including saturated addition and
subtraction, and many arithmetic operations.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%check
make check

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO
%_bindir/%{name}c
%_bindir/%{name}-bugreport

%files -n %libname
%defattr(-,root,root)
%_libdir/lib%{name}*-%api.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_includedir/%name-%api/
%_libdir/lib%{name}*-%api.a
%_libdir/lib%{name}*-%api.la
%_libdir/lib%{name}*-%api.so
%_libdir/pkgconfig/%{name}-%api.pc
%_datadir/gtk-doc/html/%{name}
%_datadir/aclocal/%{name}.m4





%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.4.16-3.mga3
+ Revision: 362195
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 rtp <rtp> 0.4.16-2.mga3
+ Revision: 335673
- resurrect edsp patch

* Sat Oct 15 2011 eandry <eandry> 0.4.16-1.mga2
+ Revision: 155389
- update files list
- New version 0.4.16

* Tue Sep 06 2011 tv <tv> 0.4.14-1.mga2
+ Revision: 139417
- drop patch 0 & 1
- new release

  + rtp <rtp>
    - fix configure arm check
    - disable orc opcodes calling armv6 when using armv5te edsp
    - enable check

  + pterjan <pterjan>
    - imported package orc

